For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI Reference
HomeAPI Reference
    • Authentication
  • API Reference
      • POSTCreate User
      • POSTCreate User Card
      • PUTUpdate User
      • DELDelete User
Get supportSee a Demo
API ReferenceUsers

Delete User

DELETE
/users/users/:id
DELETE
/users/users/:id
$curl -X DELETE https://rewards-api.getkard.com/users/users/%7Bid%7D \
> -H "Authorization: Bearer <token>"
1"Successfully deleted User"
Call this endpoint to delete a specified enrolled user from the rewards program and Kard's system. Users can be re-enrolled into rewards by calling the [Create User](/legacy/api/users/create-user) endpoint using the same `referringPartnerUserId` from before. Deleting a user will remove all the user fields for that specific user from Kard’s system.<br/> <b>Required scopes:</b> `user:delete`
Was this page helpful?
Previous

Get Eligible Merchants

Next
Built with

Call this endpoint to delete a specified enrolled user from the rewards program and Kard’s system. Users can be re-enrolled into rewards by calling the Create User endpoint using the same referringPartnerUserId from before. Deleting a user will remove all the user fields for that specific user from Kard’s system.
Required scopes: user:delete

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Referring partner user ID from issuer that specifies user

Response

This endpoint returns a string.

Errors

400
Invalid Request
401
Unauthorized Error
404
Does Not Exist Error
500
Internal Server Error